[Pulp-dev] Issues with Python Plugin in Pulp 3 Container

Matthias Dellweg mdellweg at redhat.com
Mon Apr 19 14:42:38 UTC 2021


This sounds like you are trying to access a feature with the cli that is
only implemented (server side) starting with pulp_python>=3.1.0.

We know that the error message is kind of misleading, and hope we have
fixed it in:
https://github.com/pulp/pulp-cli/pull/188

On Mon, Apr 19, 2021 at 3:09 PM Bob Fahr <bfahr at redhat.com> wrote:

> I've following the instructions [1] to install the pulp3 container with
> podman and it appears to be running given that I'm able to get a status via
> the api.  The status report shows the following info about the python
> plugin:
>
>     {
>       "component": "pulp_python",
>       "version": "3.0.0"
>     },
>
> I've followed the instruction [2] to install the pulp cli in a local venv
> and created a config to point to the local container instance.  When I run
> a command using the cli using the python plugin I get the following error.
>
>     $ pulp python content list
>     Error: 'python>=3.1.0.dev is not available
>
> I haven't been able to find anything about this error and I'm hoping
> someone here can help.
>
> Thanks!
>
> [1] https://pulpproject.org/pulp-in-one-container/
> [2] https://pulp-python.readthedocs.io/en/latest/workflows/index.html
>
> --
>
> Bob Fahr
>
> Principal Software Engineer, CEE Insights
>
> Red Hat <https://www.redhat.com/>
>
> bfahr at redhat.com    T: 256-217-0125
> M: 501-733-2516
> <https://red.ht/sig>
> _______________________________________________
> Pulp-dev mailing list
> Pulp-dev at redhat.com
> https://listman.redhat.com/mailman/listinfo/pulp-dev
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://listman.redhat.com/archives/pulp-dev/attachments/20210419/8ed1cfe9/attachment.htm>


More information about the Pulp-dev mailing list